Name:           perl-Proc-InvokeEditor
Version:        1.07
Release:        2%{?dist}
Summary:        Perl extension for starting a text editor
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Proc-InvokeEditor/
Source0:        http://www.cpan.org/authors/id/M/MS/MSTEVENS/Proc-InvokeEditor-%{version}.tar.gz
# Remove hard-coded shell bangs from documentation
Patch0:         Proc-InvokeEditor-1.07-Remove-shell-bangs.patch
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(Carp::Assert) >= 0.11
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Spec) >= 0.82
BuildRequires:  perl(File::Temp) >= 0.12
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests:
# ed || vi must be installed to pass tests
BuildRequires:  ed
BuildRequires:  perl(Test::More) >= 0.08
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp::Assert) >= 0.11
Requires:       perl(File::Spec) >= 0.82
Requires:       perl(File::Temp) >= 0.12
# List default editors enumarated by this Perl module
Suggests:       ed
Suggests:       vim-core

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Carp::Assert|File::Spec|File::Temp)\\)$

%description
This Perl module provides the ability to supply some text to an external text
editor, have it edited by the user, and retrieve the results.

%prep
%setup -q -n Proc-InvokeEditor-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.07-2
- Perl 5.26 rebuild

* Tue Mar 14 2017 Petr Pisar <ppisar@redhat.com> 1.07-1
- Specfile autogenerated by cpanspec 1.78.
